Skip to content
Ordinal
Esc
↑↓navigate↵open⌘Jpreview

List post approvals

List all approval requests for a specific post

GET/posts/{postId}/approvals
Authorization
AuthorizationBearer token · headerrequired

API key authentication. Generate an API key from your workspace settings.

Path parameters
postIdstring<uuid>required

Post ID (UUID)

Responses
200

List of approvals

approvalsApproval[]
Show properties
Array of Approval
idstring<uuid>
statusstring
Allowed:RequestedApproved
isBlockingboolean
messagestring | null
dueDatestring<date-time> | null
approvedAtstring<date-time> | null
createdAtstring<date-time>
userApprovalUser
Show properties
idstring<uuid>
emailstring<email>
firstNamestring | null
lastNamestring | null
createdAtstring<date-time>
requestedByApprovalUser
Show properties
idstring<uuid>
emailstring<email>
firstNamestring | null
lastNamestring | null
createdAtstring<date-time>
401

Unauthorized - Missing or invalid API key

codestring
messagestring
404

Not Found - Resource does not exist

codestring
messagestring
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://app.tryordinal.com/api/v1/posts/497f6eca-6276-4993-bfeb-53cbbbba6f08/approvals' \
  -H 'Authorization: Bearer YOUR_TOKEN'
Response
{
  "approvals": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440200",
      "status": "Requested",
      "isBlocking": true,
      "message": "Please review the messaging before we publish",
      "dueDate": "2026-01-14T17:00:00.000Z",
      "approvedAt": null,
      "createdAt": "2026-01-05T10:30:00.000Z",
      "user": {
        "id": "550e8400-e29b-41d4-a716-446655440011",
        "email": "jane.smith@example.com",
        "firstName": "Jane",
        "lastName": "Smith",
        "createdAt": "2025-01-01T00:00:00.000Z"
      },
      "requestedBy": {
        "id": "550e8400-e29b-41d4-a716-446655440010",
        "email": "john.doe@example.com",
        "firstName": "John",
        "lastName": "Doe",
        "createdAt": "2025-01-01T00:00:00.000Z"
      }
    }
  ]
}